org.apache.felix.scrplugin.annotations

## Class FieldAnnotation

- java.lang.Object
- - org.apache.felix.scrplugin.annotations.ScannedAnnotation
  - - org.apache.felix.scrplugin.annotations.FieldAnnotation

    public class FieldAnnotation
    extends ScannedAnnotation

A field annotation

### Field Summary

### Fields inherited from class org.apache.felix.scrplugin.annotations.ScannedAnnotation

`name, values`

### Constructor Summary

Constructors
Constructor and Description
`FieldAnnotation(String name, Map<String,Object> values, Field f)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Field` `getAnnotatedField()` Get the annotated field.
`Object` `getAnnotatedFieldValue()` Get the initial value of the value if this is a static field.
`String` `toString()`

### Methods inherited from class org.apache.felix.scrplugin.annotations.ScannedAnnotation

`getBooleanValue, getEnumValue, getIntegerValue, getLongValue, getName, getSimpleName, getStringValue, getValue, hasValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldAnnotation

    public FieldAnnotation(String name,
                           Map<String,Object> values,
                           Field f)

Constructor.

### Method Detail

#### getAnnotatedField

    public Field getAnnotatedField()

Get the annotated field.

#### getAnnotatedFieldValue

    public Object getAnnotatedFieldValue()
                                  throws SCRDescriptorFailureException

Get the initial value of the value if this is a static field.

Throws:
  `SCRDescriptorFailureException`

#### toString

    public String toString()

Overrides:
  `toString` in class `ScannedAnnotation`